org.apache.cassandra.index.sasi.sa

## Class Term<T extends java.nio.Buffer>

- java.lang.Object
- - org.apache.cassandra.index.sasi.sa.Term<T>

Direct Known Subclasses:
  ByteTerm, CharTerm

    public abstract class Term<T extends java.nio.Buffer>
    extends java.lang.Object

### Field Summary

Fields
`protected int` `position`
`protected TokenTreeBuilder` `tokens`
`protected T` `value`

### Constructor Summary

Constructors
Constructor and Description
`Term(int position, T value, TokenTreeBuilder tokens)`

### Method Summary

All Methods Instance Methods Abstract Methods Concrete Methods
`abstract int` `compareTo(AbstractType<?> comparator, Term other)`
`int` `getPosition()`
`abstract java.nio.ByteBuffer` `getSuffix(int start)`
`abstract java.nio.ByteBuffer` `getTerm()`
`TokenTreeBuilder` `getTokens()`
`abstract int` `length()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### position

    protected final int position

#### value

    protected final T extends java.nio.Buffer value

#### tokens

    protected TokenTreeBuilder tokens

### Constructor Detail

#### Term

    public Term(int position,
                T value,
                TokenTreeBuilder tokens)

### Method Detail

#### getPosition

    public int getPosition()

#### getTerm

    public abstract java.nio.ByteBuffer getTerm()

#### getSuffix

    public abstract java.nio.ByteBuffer getSuffix(int start)

#### getTokens

    public TokenTreeBuilder getTokens()

#### compareTo

    public abstract int compareTo(AbstractType<?> comparator,
                                  Term other)

#### length

    public abstract int length()